%define Name TrueCrypt
Name: truecrypt
Version: 4.2a
Release: alt2
Summary: Software system for establishing and maintaining an on-the-fly-encrypted volume
Summary(uk_UA.CP1251):        
Summary(ru_RU.CP1251):        
License: TrueCrypt Collective License Version 1.0
Group: File tools
#Group: System/Kernel and hardware
URL: http://www.%name.org
Source: %url/downloads/%name-%version.tar.bz2
Patch: %name-4.2a-libs.patch.gz
Requires: dmsetup

BuildRequires: kernel-build-tools

%description
%Name is a software system for establishing and maintaining an
on-the-fly-encrypted volume (data storage device). On-the-fly
encryption means that data are automatically encrypted or decrypted
right before they are loaded or saved, without any user intervention.
No data stored on an encrypted volume can be read (decrypted) without
using the correct password/keyfile(s) or correct encryption keys.
Entire file system is encrypted (e.g.., file names, folder names,
contents of every file, free space, meta data, etc).
Files can be copied to and from a mounted %Name volume just like
they are copied to/from any normal disk. Files are automatically being
decrypted on-the-fly (in memory/RAM) while they are being read or
copied from an encrypted TrueCrypt volume. Similarly, files that are
being written or copied to the %Name volume are automatically being
encrypted on-the-fly (right before they are written to the disk) in
RAM.


%package -n kernel-source-%name
Summary: Linux %name modules sources
Group: Development/Kernel

%description -n kernel-source-%name
This package contains sources for %name kernel module.


%prep
%setup -q
#patch -p1


%build
cd Linux/Cli
%make_build


%install
install -pD -m 0755 Linux/Cli/%name %buildroot%_bindir/%name
install -pD -m 0644 Linux/Cli/Man/%name.1 %buildroot%_man1dir/%name.1

install -d -m 0755 %kernel_srcdir
install -d -m 0755 kernel-source-%name-%version/{Crypto,Common,Linux/{Common,Kernel}}
install -m 0644 Linux/Kernel/* kernel-source-%name-%version/Linux/Kernel/
install -m 0644 Linux/Common/*.c kernel-source-%name-%version/Linux/Common/
for f in {Crypto,Common}/*.o; do
    install -m 0644 ${f%%o}c kernel-source-%name-%version/${f%%o}c
done
for f in {Crypto,Common}/*.h; do
    [ -f ${f%%h}o -o ! -f ${f%%h}c ] && install -m 0644 $f kernel-source-%name-%version/$f
done
tar -c kernel-source-%name-%version | bzip2 --best --stdout > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2


%files
%doc Readme.txt Release/"Setup Files"/*
%_bindir/*
%_man1dir/*


%files -n kernel-source-%name
%_usrsrc/*


%changelog
* Thu Oct 26 2006 Led <led@altlinux.ru> 4.2a-alt2
- fixed Requires

* Fri Sep 22 2006 Led <led@altlinux.ru> 4.2a-alt1
- initial build
